import {authRequest} from '/@/utils/request';


/**
 * @summary 通过客户 ID，获取所有用户
 */
export const GetUserByCorpID = async (params) => {
	return authRequest({
		url: '/Auth/User/GetByCorpID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 插入一个用户
 */
export const InsertAUser = async (params) => {
	return authRequest({
		url: '/Auth/User/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 更新一个用户信息
 */
export const UpdateAUser = async (params) => {
	return authRequest({
		url: '/Auth/User/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一个用户
 */
export const DeleteAUser = async (params) => {
	return authRequest({
		url: '/Auth/User/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 更新用户排序码
 */
export const UpdateUserSorter = async (params) => {
	return authRequest({
		url: '/Auth/User/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 更新用户使用状态
 */
export const UpdateUserUseStatus = async (params) => {
	return authRequest({
		url: '/Auth/User/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
};


/**
 * @summary 更新用户管理类型
 */
export const UpdateUserAdminType = async (params) => {
	return authRequest({
		url: '/Auth/User/UpdateAdminType@V1.0',
		method: 'PUT',
		data: params,
	});
};


/**
 * @summary 获取用户相关账号
 */
export const GetSystemAccountByUserID = async (params) => {
	return authRequest({
		url: '/Auth/User/Login/Account/Std/GetByUserID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 更新系统账户密码
 */
export const UpdateSystemLoginPwd = async (params) => {
	return authRequest({
		url: '/Auth/User/Login/Account/UpdateSystemLoginPwd@V1.0',
		method: 'PUT',
		data: params,
	});
};


/**
 * @summary 重置系统账户密码
 */
export const ResetSystemLoginPwd = async (params) => {
	return authRequest({
		url: '/Auth/User/Login/Account/ResetSystemLoginPwd@V1.0',
		method: 'PUT',
		data: params,
	});
};


/**
 * @summary 删除账号
 */
export const DeleteAAccount = async (params) => {
	return authRequest({
		url: '/Auth/User/Login/Account/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 获取用户参与的项目中的所有角色
 */
export const GetRoleByUserID = async (params) => {
	return authRequest({
		url: '/Auth/User/Role/Mapping/GetAuthorizeRoleList@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 设置用户的角色
 */
export const SetUserRole = async (params) => {
  return authRequest({
	url: "/Auth/User/Role/Mapping/Set@V1.0",
	method: "POST",
	data: params,
  });
};
